i18n
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Functions | Variables
i18n
Miscellaneous

Internationalisation helpers for translating UI texts. More...

Collaboration diagram for i18n:

## Functions
const char * | oyLanguage (void)
| get language code More...
const char * | oyCountry (void)
| get country code More...
const char * | oyLang (void)
| get LANG code/variable More...
void | oyI18Nreset (void)
| reset i18n language and country variables More...
void | oyI18NSet (int active, int reserved)
| switch internationalisation of strings on or off More...

## Variables
const char * | oy_domain_codeset = 0
| codeset for Oyranos More...

## Detailed Description

Internationalisation helpers for translating UI texts.

Internationalisation is handled for Oyranos by a external library. To sync locale settings with the Oyranos use the standard C infaces. For debugging purposes the internal settings are exported read only.

A external application might want a different code set than Oyranos' default UTF-8. Thus a oy_domain_codeset variable is available and can be set to match the applications needs.

## Function Documentation

## ◆ oyCountry()

const char* oyCountry | ( | void |  | ) |

get country code

Since
  Oyranos: version 0.1.8

Date
  26 november 2007 (API 0.1.8)

## ◆ oyI18Nreset()

void oyI18Nreset | ( | void |  | ) |

reset i18n language and country variables

Version
  Oyranos: 0.1.10

Since
  2009/01/05 (Oyranos: 0.1.10)

Date
  2009/01/05

## ◆ oyI18NSet()

void oyI18NSet | ( | int | active,
|  | int | reserved
| ) |  |

switch internationalisation of strings on or off

Parameters

  active | bool
  reserved | for future use

## ◆ oyLang()

const char* oyLang | ( | void |  | ) |

get LANG code/variable

Since
  Oyranos: version 0.1.8

Date
  26 november 2007 (API 0.1.8)

## ◆ oyLanguage()

const char* oyLanguage | ( | void |  | ) |

get language code

Since
  Oyranos: version 0.1.8

Date
  26 november 2007 (API 0.1.8)

## Variable Documentation

## ◆ oy_domain_codeset

const char* oy_domain_codeset = 0

codeset for Oyranos

set here the codeset part, e.g. "UTF-8", which shall be delivered from Oyranos string translations. Set this variable before any call to Oyranos. The environment variable OY_LOCALEDIR overrides the static inbuild OY_LOCALEDIR macro defined in oyranos_version.h . OY_LOCALEDIR should match a corresponding $prefix/share/locale path.